# Uses of Interface
org.apache.qpid.proton.reactor.Task

Packages that use Task
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Task in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Task
Modifier and Type
Method
Description
`Task`
Event.`getTask()`

## Uses of Task in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return Task
Modifier and Type
Method
Description
`Task`
Reactor.`schedule(int delay, Handler handler)`
Schedules execution of a task to take place at some point in the future.

## Uses of Task in org.apache.qpid.proton.reactor.impl

Classes in org.apache.qpid.proton.reactor.impl that implement Task
Modifier and Type
Class
Description
`class`
`TaskImpl`
Methods in org.apache.qpid.proton.reactor.impl that return Task
Modifier and Type
Method
Description
`Task`
ReactorImpl.`schedule(int delay, Handler handler)`